> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qcall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Build Status

> Returns the embedding build status and progress of a knowledge base. Poll this endpoint (the application polls every 5 seconds) while a knowledge base is in the `building` state until `build_status` is `ready` or `failed`.

Returns the embedding build status and progress of a knowledge base. While a knowledge base is in the `building` state, poll this endpoint (the application polls every 5 seconds) until `build_status` is `ready` or `failed`.


## OpenAPI

````yaml GET /knowledgeBase/build-status?id={id}
openapi: 3.0.1
info:
  title: QCall Ai API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.qcall.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /knowledgeBase/build-status?id={id}:
    get:
      description: >-
        Returns the embedding build status and progress of a knowledge base.
        Poll this endpoint (the application polls every 5 seconds) while a
        knowledge base is in the `building` state until `build_status` is
        `ready` or `failed`.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The `hash_id` of the knowledge base
      responses:
        '200':
          description: Build status response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the request succeeded
                  message:
                    type: string
                    description: Response message
                  data:
                    $ref: '#/components/schemas/BuildStatus'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    BuildStatus:
      type: object
      properties:
        build_status:
          description: '`building`, `ready` or `failed`'
          type: string
        progress:
          description: Build progress details
          type: object
          properties:
            phase:
              description: Current phase, e.g. `queued`
              type: string
            queue_position:
              description: Position in the build queue when phase is `queued`
              type: integer
            percentage:
              description: Build progress percentage (0-100)
              type: integer
            currentStatus:
              description: Human-readable description of the current step
              type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````